import {createElement} from "../../_global/scripts/helpers";
import {createHeader} from "../../components/header/HeaderComponent";
import {createFooter} from "../../components/footer/FooterComponent";
import {createMagazineHeader} from "../../components/magazine-header/MagazineHeaderComponent";
import {createElectionDetail} from "../../sections/election-detail/ElectionDetailComponent";

export const createElectionDetailPage = ({
  stageWithImage = false,
}) => {
  const page = createElement('div', ['page', 'header-collapsed']);
  const magazineHeader = createMagazineHeader({
    title: 'Eine starke Entscheidung',
    smalltext: 'IHK Musterstadt Wahl 2024',
    logo: './logos/magazine-header-flag.png',
  });

  page.appendChild(createHeader({}));
  page.appendChild(magazineHeader);

  const wrapper = createElement('div', ['page-wrapper'], null, page);
  const pageContent = createElement('div', ['page-content'], null, wrapper);
  const container = createElement('div', ['container'], null, pageContent);

  container.appendChild(createElectionDetail({}));

  page.appendChild(createFooter({}))

  return page;
}